Subject: Re: [net-next PATCH v5 1/4] net: hsr: Provide RedBox support (HSR-SAN)

From: Casper Andersson <[email-masked]>
Date: Tue, 16 Apr 2024 12:21:48 +0200

Hi,

On 2024-04-15 14:49 +0200, Lukasz Majewski wrote:
> - Modify frame passed Port C (Interlink) to have RedBox's source address (SA)
>   This fixes issue with connecting L2 switch to Interlink Port as switches
>   drop frames with SA other than one registered in their (internal) routing
>   tables.

You never responded to my comment regarding this on v4. The same SA
should be able to go through a whole HSR and/or PRP network without
being replaced.
https://lore.kernel.org/netdev/20240404125159.721fbc19@wsk/T/#m9f18ec6a8de3f2608908bd181a786ea2c4fbc5e7

BR,
Casper